pydo.genai.update_simulation_run()
Generated on 1 Oct 2026
from pydo version
v0.43.0
Usage
client.genai.update_simulation_run(
run_uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
body={
"name": "example name",
"run_uuid": "123e4567-e89b-12d3-a456-426614174000",
},
)Description
To update a simulation run’s display name, send a PUT request to /v2/gen-ai/simulation_runs/{run_uuid}. Only the name is mutable; run configuration and results are immutable.
Parameters
run_uuidstring requiredUUID of the simulation run to update. Returned by
CreateSimulationRun
and listed viaListSimulationRuns.namestring optionalExample:
example nameThe new name of the run.
run_uuidstring optionalExample:
123e4567-e89b-12d3-a456-426614174000UUID of the run to update.
Request Sample
Response Example
More Information
See /v2/gen-ai/simulation_runs/{run_uuid} in the API reference for additional detail on responses, headers, parameters, and more.